Remove old pybundle and virtualenv setup, new installer does not use them

This commit is contained in:
Daniel James 2015-03-06 13:07:11 +00:00
parent e20655f391
commit f00fee4851
8 changed files with 0 additions and 118 deletions

View File

@ -1,35 +0,0 @@
Index: /usr/lib/airtime/airtime_virtualenv/lib/python2.6/site-packages/mutagen/mp3.py
===================================================================
--- /usr/lib/airtime/airtime_virtualenv/lib/python2.6/site-packages/mutagen/mp3.py (revision 108)
+++ /usr/lib/airtime/airtime_virtualenv/lib/python2.6/site-packages/mutagen/mp3.py (working copy)
@@ -151,15 +151,16 @@
self.sample_rate = self.__RATES[self.version][sample_rate]
if self.layer == 1:
- frame_length = (12 * self.bitrate / self.sample_rate + padding) * 4
+ padding *= 4
frame_size = 384
elif self.version >= 2 and self.layer == 3:
- frame_length = 72 * self.bitrate / self.sample_rate + padding
frame_size = 576
else:
- frame_length = 144 * self.bitrate / self.sample_rate + padding
frame_size = 1152
+ frame_length = frame_size / 8 * \
+ self.bitrate / self.sample_rate + padding
+
if check_second:
possible = frame_1 + frame_length
if possible > len(data) + 4:
@@ -172,9 +173,7 @@
if frame_data & 0xFFE0 != 0xFFE0:
raise HeaderNotFoundError("can't sync to second MPEG frame")
- frame_count = real_size / float(frame_length)
- samples = frame_size * frame_count
- self.length = samples / self.sample_rate
+ self.length = 8 * real_size / float(self.bitrate)
# Try to find/parse the Xing header, which trumps the above length
# and bitrate calculation.

View File

@ -1,20 +0,0 @@
Index: /usr/lib/airtime/airtime_virtualenv/lib/python2.6/site-packages/mutagen/mp3.py
===================================================================
--- /usr/lib/airtime/airtime_virtualenv/lib/python2.6/site-packages/mutagen/mp3.py (revision 108)
+++ /usr/lib/airtime/airtime_virtualenv/lib/python2.6/site-packages/mutagen/mp3.py (working copy)
@@ -209,15 +209,6 @@
bytes = struct.unpack('>I', data[xing + 12:xing + 16])[0]
self.bitrate = int((bytes * 8) // self.length)
- # If the bitrate * the length is nowhere near the file
- # length, recalculate using the bitrate and file length.
- # Don't do this for very small files.
- fileobj.seek(2, 0)
- size = fileobj.tell()
- expected = (self.bitrate / 8) * self.length
- if not (size / 2 < expected < size * 2) and size > 2**16:
- self.length = size / float(self.bitrate * 8)
-
def pprint(self):
s = "MPEG %s layer %d, %d bps, %s Hz, %.2f seconds" % (
self.version, self.layer, self.bitrate, self.sample_rate,

View File

@ -1,12 +0,0 @@
argparse==1.2.1
amqplib==1.0.2
PyDispatcher==2.0.3
anyjson==0.3.3
kombu==2.2.6
pyinotify==0.9.3
poster==0.8.1
pytz==2011k
wsgiref==0.1.2
configobj==4.7.2
mutagen==1.21
docopt==0.4.2

View File

@ -1,51 +0,0 @@
#!/bin/bash
# Absolute path to this script
SCRIPT=`readlink -f $0`
# Absolute directory this script is in
SCRIPTPATH=`dirname $SCRIPT`
which virtualenv > /dev/null
if [ "$?" -ne "0" ]; then
echo "virtualenv not found!"
echo -e "Please install virtualenv and retry Airtime installation.\n"
exit 1
fi
#Check whether version of virtualenv is <= 1.4.8. If so exit install.
BAD_VERSION="1.4.8"
VERSION=$(virtualenv --version)
NEWEST_VERSION=$(echo -e "$BAD_VERSION\n$VERSION\n" | sort -t '.' -V | tail -n 1)
echo -n "Ensuring python-virtualenv version > $BAD_VERSION..."
if [[ "$NEWEST_VERSION" = "$BAD_VERSION" ]]; then
echo "Failed!"
echo "You have version $BAD_VERSION or older installed. Please upgrade python-virtualenv and install Airtime again."
exit 1
else
echo "Success!"
fi
VIRTUAL_ENV_DIR="/usr/lib/airtime/airtime_virtualenv"
VIRTUAL_ENV_SHARE="/usr/share/python-virtualenv/"
if [ -d $VIRTUAL_ENV_DIR ]; then
echo -e "\n*** Existing Airtime Virtualenv Found ***"
rm -rf ${VIRTUAL_ENV_DIR}
echo -e "\n*** Reinstalling Airtime Virtualenv ***"
fi
echo -e "\n*** Creating Virtualenv for Airtime ***"
EXTRAOPTION=$(virtualenv --help | grep extra-search-dir)
if [ "$?" -eq "0" ]; then
virtualenv --extra-search-dir=${SCRIPTPATH}/3rd_party --no-site-package -p /usr/bin/python /usr/lib/airtime/airtime_virtualenv 2>/dev/null || exit 1
else
# copy distribute-0.6.10.tar.gz to /usr/share/python-virtualenv/
# this is due to the bug in virtualenv 1.4.9
if [ -d "$VIRTUAL_ENV_SHARE" ]; then
cp ${SCRIPTPATH}/3rd_party/distribute-0.6.10.tar.gz /usr/share/python-virtualenv/
fi
virtualenv --no-site-package -p /usr/bin/python /usr/lib/airtime/airtime_virtualenv 2>/dev/null || exit 1
fi
echo -e "\n*** Installing Python Libraries ***"
/usr/lib/airtime/airtime_virtualenv/bin/pip install ${SCRIPTPATH}/airtime_virtual_env.pybundle || exit 1